import request from '@/utils/request'

// 查询AI适配场景条件设置查询关系列表
export function listAiConditionRelation(query) {
  return request({
    url: '/sfa/aiConditionRelation/list',
    method: 'get',
    params: query
  })
}

// 查询AI适配场景条件设置查询关系详细
export function getAiConditionRelation(conditionRelationId) {
  return request({
    url: '/sfa/aiConditionRelation/' + conditionRelationId,
    method: 'get'
  })
}

// 新增AI适配场景条件设置查询关系
export function addAiConditionRelation(data) {
  return request({
    url: '/sfa/aiConditionRelation',
    method: 'post',
    data: data
  })
}

// 修改AI适配场景条件设置查询关系
export function updateAiConditionRelation(data) {
  return request({
    url: '/sfa/aiConditionRelation',
    method: 'put',
    data: data
  })
}

// 删除AI适配场景条件设置查询关系
export function delAiConditionRelation(conditionRelationId) {
  return request({
    url: '/sfa/aiConditionRelation/' + conditionRelationId,
    method: 'delete'
  })
}
